Jump to the post that solved this thread.
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: 10 Years, 5 Months ago Error Message
#1
Solved: 10 Years, 5 Months ago
I can not upgrade to version 1.6.4 for MyBB because of an error message appears:


Fatal error: Call to undefined method datacache::update_threadprefixes() in /home/a7612716/public_html/MyBB/install/upgrade.php on line 598

The file lines 567 - 605:
function buildcaches()
{
	global $db, $output, $cache, $lang, $mybb;

	$output->print_header($lang->upgrade_datacache_building);

	$contents .= $lang->upgrade_building_datacache;
	require_once MYBB_ROOT."inc/class_datacache.php";
	$cache = new datacache;
	$cache->update_version();
	$cache->update_attachtypes();
	$cache->update_smilies();
	$cache->update_badwords();
	$cache->update_usergroups();
	$cache->update_forumpermissions();
	$cache->update_stats();
	$cache->update_moderators();
	$cache->update_forums();
	$cache->update_usertitles();
	$cache->update_reportedposts();
	$cache->update_mycode();
	$cache->update_posticons();
	$cache->update_update_check();
	$cache->update_tasks();
	$cache->update_spiders();
	$cache->update_bannedips();
	$cache->update_banned();
	$cache->update_birthdays();
	$cache->update_most_replied_threads();
	$cache->update_most_viewed_threads();
	$cache->update_groupleaders();
	$cache->update_threadprefixes();
	$cache->update_forumsdisplay();

	$contents .= $lang->done."</p>";

	$output->print_contents("$contents<p>".$lang->upgrade_continue."</p>");
	$output->print_footer("finished");
}
Screenshot:
   

Sorry bad English!
#2
Solved: 10 Years, 5 Months ago
have you uploaded all the files from latest download package by overwriting earlier installed files ??
#3
Solved: 10 Years, 5 Months ago
(2011-08-23, 02:15 PM)ranjani Wrote: have you uploaded all the files from latest download package by overwriting earlier installed files ??

I put the files directly from the MyBB's the root of their own folders.
In other words: Yes.
#4
Solved: 10 Years, 5 Months ago
You downloaded the wrong package. You need to download the latest MyBB 1.6.4 package from here and upload all the files so it overwrites the existing ones.
#5
Solved: 10 Years, 5 Months ago
(2011-08-23, 02:57 PM)faviouz Wrote: You downloaded the wrong package. You need to download the latest MyBB 1.6.4 package from here and upload all the files so it overwrites the existing ones.

Thank you! It helped. Shy
Jump to the post that solved this thread.


Forum Jump:


Users browsing this thread: 1 Guest(s)